TypeController

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.table.columns.client
Class TypeController

    java.lang.Object
      org.openswing.swing.table.columns.client.TypeController

public class TypeController
extends java.lang.Object

Title: OpenSwing Framework

Description: Base class that defines the data type for each cell of the column having type MultipleTypeColumn. As default value this class manages all cells as text type.

Copyright: Copyright (C) 2006 Mauro Carniel

Constructor Summary
`TypeController()`

Method Summary
`InputControl` | `getAdditionalProperties(int rowNum, java.lang.String attributeName, GridControl grid)` Define additional properties for the specified cell.
`int` | `getCellType(int rowNum, java.lang.String attributeName, GridControl grid)` Define the cell type for the specified row.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeController

    public TypeController()

Method Detail

### getCellType

    public int getCellType(int rowNum,
                           java.lang.String attributeName,
                           GridControl grid)

  Define the cell type for the specified row.

  Parameters:
    `rowNum` - row index in the grid that identify the cell for which define the data type
    `attributeName` - attribute name that identify the column in the grid
    `grid` - GridControl component
  Returns:
    Column.TYPE_TEXT as default data type; allowed values are Column.TYPE_XXX

### getAdditionalProperties

    public InputControl getAdditionalProperties(int rowNum,
                                                java.lang.String attributeName,
                                                GridControl grid)

  Define additional properties for the specified cell.

  Parameters:
    `rowNum` - row index in the grid that identify the cell for which define these additional properties
    `attributeName` - attribute name that identify the column in the grid
    `grid` - GridControl component
  Returns:
    an InputControl that contains additional properties; null as default value (i.e. do not define any additional property); if this method is overrided and returns a not null value, then this input control overrides "getCellType" return type

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD